Bug 255716 - net-im/tg_owt: upgrade to 0.0.20210422
Summary: net-im/tg_owt: upgrade to 0.0.20210422
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Neel Chauhan
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-05-08 22:45 UTC by Henry Hu
Modified: 2021-05-10 00:49 UTC (History)
1 user (show)

See Also:


Attachments
patch to 20210422 (1.58 KB, patch)
2021-05-08 22:45 UTC, Henry Hu
henry.hu.sh: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Henry Hu 2021-05-08 22:45:03 UTC
Created attachment 224780 [details]
patch to 20210422

This port has no releases; thus, I'm labeling it based on the github commit's date.
Changelog - there's no changelog file or release page. Commit messages:

    Fix build on non-Apple systems.
    added proper definitions for libusrsctp
    Disable main thread wrapping into rtc::Thread.
    Generate GAS-compatible 32-bit ARM ASM files for libvpx on Linux.
    added proper definitions for libusrsctp
    Use -fPIC when BUILD_SHARED_LIBS is enabled
    Remove unneeded Xtst dependency
    Don't build internal audio backends
    Pass all packets to the obverver.

This may affect net-im/telegram-desktop; I'm planning to upgrade it to 2.7.4, anyway.

Poudriere log on 12.2/amd64: https://raw.githubusercontent.com/HenryHu/ports/master/.logs/12.2-amd64/tg_owt-0.0.20210422.log
Comment 1 commit-hook freebsd_committer 2021-05-09 03:41:56 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=484ae4ecd943ba80353ec6c0629a275018ec06cc

commit 484ae4ecd943ba80353ec6c0629a275018ec06cc
Author:     Henry Hu <henry.hu.sh@gmail.com>
AuthorDate: 2021-05-09 03:39:05 +0000
Commit:     Neel Chauhan <nc@FreeBSD.org>
CommitDate: 2021-05-09 03:39:05 +0000

    net-im/tg_owt: upgrade to 0.0.20210422

    PR:     255716

 net-im/tg_owt/Makefile | 4 ++--
 net-im/tg_owt/distinfo | 6 +++---
 2 files changed, 5 insertions(+), 5 deletions(-)
Comment 2 Neel Chauhan freebsd_committer 2021-05-09 03:44:37 UTC
Committed!